#ifndef _COLOR_H
#define _COLOR_H

struct LUT {
	double z_low, z_high, i_dz;
	int rgb_low[3], rgb_high[3], rgb_diff[3];
	int annot;
	int skip;
};


struct BFN_COLOR {	/* For back-, fore-, and nan-colors */
	int rgb[3];
	int skip;
};

extern int n_colors;
extern struct LUT *lut;
extern struct BFN_COLOR bfn[];

void read_cpt(char *cpt_file);


#endif  /* _COLOR_H */
